org.springframework.batch.core.configuration.xml

## Class StandaloneStepParser

- java.lang.Object
- - org.springframework.batch.core.configuration.xml.AbstractStepParser
  - - org.springframework.batch.core.configuration.xml.StandaloneStepParser

-     public class StandaloneStepParser
      extends AbstractStepParser

  Internal parser for the <step/> elements for a job. A step element references a bean definition for a `Step`.
  Since:
    2.0
  Author:
    Dave Syer, Thomas Risberg

- - ### Field Summary

    - ### Fields inherited from class org.springframework.batch.core.configuration.xml.AbstractStepParser

      `ID_ATTR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandaloneStepParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.beans.factory.support.AbstractBeanDefinition` | `parse(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext)` Parse the step and turn it into a list of transitions.

    - ### Methods inherited from class org.springframework.batch.core.configuration.xml.AbstractStepParser

      `parseStep`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandaloneStepParser

          public StandaloneStepParser()

  - ### Method Detail

    - #### parse

          public org.springframework.beans.factory.support.AbstractBeanDefinition parse(org.w3c.dom.Element element,
                                                                                        org.springframework.beans.factory.xml.ParserContext parserContext)

      Parse the step and turn it into a list of transitions.
      Parameters:
        `element` - the <step/gt; element to parse
        `parserContext` - the parser context for the bean factory